darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Patch.Prim.V3.Apply

# Documentation

data ObjectMap m

Constructors

ObjectMap |

Fields

getObject :: UUID -> m (Maybe (Object m))
putObject :: UUID -> Object m -> m (ObjectMap m)
listObjects :: m [UUID]

Instances

ToTree ObjectMap |
(Functor m, Monad m) => ApplyMonadTrans m ObjectMap |
(Functor m, Monad m) => ApplyMonad (StateT (ObjectMap m) m) ObjectMap |